using UnityEngine;

public class House : Building
{
    [SerializeField]
    private BoxCollider2D rangeOutline;

    public virtual float PopulationGiven => GlobalConfig.Instance.Current.populationGivenPerHouse;
    public BoxCollider2D RangeOutline { get => rangeOutline; set => rangeOutline = value; }

    public override void LevelStart()
    {
        ResourceManager.Instance.MaximumPopulation += PopulationGiven;
        base.LevelStart();
    }
    public override void LevelDestroy()
    {
        ResourceManager.Instance.MaximumPopulation -= PopulationGiven;
        base.LevelDestroy();
    }
}